# -----
# Running Redis Service (on LX-Container)
#
# See also changes at file /etc/rc.local
# -----

# Got this warning on redis logfile at LX-Container
#
#    # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn
#    is set to the lower value of 128
#
net.core.somaxconn = 65535

# Redis Server says:
#
# WARNING overcommit_memory is set to 0! Background save may fail under
# low memory condition. To fix this issue add 'vm.overcommit_memory = 1'
# to /etc/sysctl.conf and then reboot or run the command
# 'sysctl vm.overcommit_memory=1' for this to take effect.
vm.overcommit_memory = 1

# increase Linux TCP buffer limits
net.core.rmem_max = 67108864
net.core.wmem_max = 67108864
net.core.netdev_max_backlog = 262144

# increase Linux autotuning TCP buffer limits
# min, default, and max number of bytes to use
net.ipv4.tcp_rmem = 4096 87380 33554432
net.ipv4.tcp_wmem = 4096 87380 33554432
